Name:           aether-ant-tasks
Version:        1.0
Release:        0.6.SNAPSHOT%{?dist}
Summary:        Ant tasks using Aether to resolve, install and deploy artifacts
Group:          Development/Libraries
BuildArch:      noarch

License:        EPL
URL:            https://github.com/sonatype/aether-ant-tasks
# git clone git://github.com/sonatype/aether-ant-tasks.git
# tar c --exclude-vcs aether-ant-tasks | lbzip2 >aether-ant-tasks.tar.bz2
Source0:        aether-ant-tasks.tar.bz2
Source1:        http://www.eclipse.org/legal/epl-v10.html

BuildRequires:  maven-local
BuildRequires:  java-devel
BuildRequires:  aether
BuildRequires:  ant
BuildRequires:  maven-error-diagnostics
BuildRequires:  maven-invoker-plugin
BuildRequires:  maven-shade-plugin
BuildRequires:  plexus-cipher
BuildRequires:  plexus-interpolation
BuildRequires:  plexus-sec-dispatcher

%description
The Aether Ant Tasks enable build scripts for Apache Ant 1.7+ to use Sonatype
Aether to resolve dependencies and install and deploy locally built artifacts.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}
cp -p %{SOURCE1} LICENSE

%build
# Tests are skipped because of missing dependency - mvn(junit:junit-dep)
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE README.md

%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.6.SNAPSHOT
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.0-0.5.SNAPSHOT
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Jan  9 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0-0.4.SNAPSHOT
- Bump release tag

* Tue Jan  8 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0-0.3.SNAPSHOT
- Build with xmvn

* Mon Sep 17 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0-0.2.SNAPSHOT
- Install LICENSE files

* Mon Apr 30 2012 Mikolaj Izdebski <mizdebsk@redhat.com> 1.0-0.1.SNAPSHOT
- Initial packaging.
